List payment sessions

Retrieve payment sessions for a given customer.

You can filter sessions using session_id, client_reference_id, or client_customer_ref. If filters are omitted, the endpoint returns a paginated list of sessions for the customer.

Authentication

AuthorizationBearer

OAuth 2.0 Bearer token authentication. This API uses OAuth 2.0 Client Credentials flow. Please refer to the Authentication section for detailed information on how to obtain and use your OAuth credentials.

Path parameters

customer_idstringRequired
Unique identifier for the customer whose sessions are being retrieved.

Query parameters

client_reference_idstringOptional<=36 characters

Client-provided reference used to retrieve an existing session for idempotent behaviour. For hosted sessions, this value is unique per customer. Reference: client_reference_id

client_customer_refstringOptional

Client-provided customer reference used at session creation. Reference: client_customer_ref

session_idstringOptionalformat: "uuid"

Unique session identifier used to retrieve a specific session. Reference: session_id response field

pageintegerOptional>=1
Page number for paginated results. Default is 1.
limitintegerOptional1-100
Number of sessions to return per page. Default is 20, max is 100.

Response

Successful response with matching sessions or a paginated list
sessionslist of objects

Session records that belong to the requested customer_id. When specific search filters are provided, this list returns either an empty list or sessions list.

metaobject
Pagination information for the current query.

Errors